Skip to main content
GET
/
v1
/
asset
/
policy
List asset policies
curl --request GET \
  --url https://api.projectdiscovery.io/v1/asset/policy \
  --header 'X-API-Key: <api-key>'
{
  "policies": [
    {
      "id": "<string>",
      "name": "<string>",
      "policy_type": "alert",
      "policies": {
        "is_tech": true,
        "is_favicon": true,
        "is_new": true,
        "labels": "<string>",
        "host": "<string>",
        "port": "<string>",
        "status_code": "<string>",
        "content_length": "<string>",
        "title": "<string>",
        "domain": [
          "<string>"
        ],
        "cname": "<string>",
        "technologies": "<string>",
        "ip": "<string>",
        "is_screenshot": true,
        "time": "last_day",
        "start_date": "2023-12-25",
        "end_date": "2023-12-25",
        "custom_filter": "<string>",
        "search": "<string>",
        "enumeration_ids": [
          "<string>"
        ],
        "only_dns": true,
        "only_ip": true
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "alerting_config_ids": [
        "<string>"
      ],
      "labels": [
        "<string>"
      ],
      "enumeration_ids": [
        "<string>"
      ],
      "metadata": {},
      "last_executed_at": "2023-11-07T05:31:56Z",
      "apply_to_existing": true
    }
  ],
  "total": 123,
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

limit
integer

Number of items to return

offset
integer

Number of items to skip

Response

OK

policies
AssetPolicy · object[]
required

Total number of asset policies for the user

total
integer<int64>
required
message
string